<?php
require '../conn/conn.php';
require '../conn/function.php';

$D_domain=splitx($_SERVER["HTTP_HOST"].$_SERVER["PHP_SELF"],"/member",0);

$action=$_GET["action"];
if($action=="found"){
    $M_email=$_POST["M_email"];
    $M_code=$_POST["M_code"];
    if(xcode($_POST["M_code"],'DECODE',$_SESSION["CmsCode"],0)!=$_SESSION["CmsCode"] || $_POST["M_code"]=="" || $_SESSION["CmsCode"]==""){
        box("验证码错误!","back","error");
    }else{
        $sql="select * from sl_member where M_email='".t($M_email)."'";
            $result = mysqli_query($conn, $sql);
            $row = mysqli_fetch_assoc($result);
            if (mysqli_num_rows($result) > 0) {
            mysqli_query($conn,member("pwd_forget",$_POST));
            $info=sendmail("找回密码邮件","请点击链接重新设置密码<br><a href='http://".$D_domain."/member/setpwd.php?M_pwdcode=".$M_pwdcode."'>http://".$D_domain."/member/setpwd.php?M_pwdcode=".$M_pwdcode."</a><br>说明：重置密码后链接失效",$M_email);
            if($info=="success"){
                box("请查收密码找回邮件!","login.php","success");
            }else{
                box("请".$info."秒后再试！","login.php","success");
            }
        }else{
            box("邮箱输入错误，请重新输入!","back","error");
        }
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>找回密码 - <?php echo $C_title?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <link rel="stylesheet" href="https://cdn.staticfile.org/twitter-bootstrap/3.3.7/css/bootstrap.min.css">  
    <script src="https://cdn.staticfile.org/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://cdn.staticfile.org/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link href="../media/<?php echo $C_ico?>" rel="shortcut icon" type="image/x-icon" />
    <link rel='stylesheet' type='text/css' href="../css/css/font-awesome.min.css">
    <style type="text/css">
        body{background: #62a8ea}
        .box{max-width: 400px;width: 90%;margin:0 auto;background: #fff;border-radius: 10px;text-align: center;margin-top:10%;padding: 50px;box-shadow: 0 1px 1px rgb(0 0 0 / 5%);}
        .buttons{text-align: center;margin-top: 20px}
        .form-control{border:none;border-bottom: solid 1px #DDD;border-radius: 0px;-webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0);
    box-shadow: inset 0 1px 1px rgba(0,0,0,0);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;}
        p{margin-top: 30px}
    </style>

    
</head>
<body>
<div class="box">
    <a href="../"><img  src="../media/<?php echo $C_logo?>" style="max-width: 100%"></a>
    <h2 class="h3">找回密码</h2>
    <div style="text-align: left;">

        <form method="post" class="met-form-validation" action="?action=found">
        <p><input type="text" name="M_email" class="form-control" placeholder="电子邮箱"></p>
        <p><iframe id="slide" src="../conn/code_1.php?name=M_code" scrolling="no" frameborder="0" width="100%" height="40"></iframe></p>
        <p><button type="submit" class="btn btn-block btn-primary">登录</button></p>
        </form>

        <p style="font-size: 12px;color: #AAA;margin-top: 12px;text-align: center;">还没有账号? 去 <a href="reg.php">注册</a> <a href="../">返回首页</a> </p>


    </div>
</div>
</body>
</html>